openmemory
Docs
KV

List keys in a namespace

GET
/v1/kv/{ns}

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Path Parameters

ns*string

Namespace, e.g. settings or cursors. Names starting with '_' are reserved.

Match^[A-Za-z0-9][A-Za-z0-9_.-]*$
Length1 <= length <= 64

Response Body

Items

application/json
  1. response
items*array<>
Example Request
curl -X GET 'https://api.openmemory.sh/v1/kv/string'
Example Response
{  "items": [    {      "ns": "string",      "key": "string",      "value": null,      "version": 0,      "expires_at": "string",      "updated_at": "string"    }  ]}